<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-header">
        <strong *ngIf="id; else newTitle">Edit Category</strong>
        <ng-template #newTitle>
          <strong>New Category</strong>
        </ng-template>
      </div>
      <form [formGroup]="question" (ngSubmit)="onSubmit()">
        <div class="card-body">
          <tabset>
            <tab heading="Info">
              <div class="form-group">
                <label for="questionTypeId">Question Type</label>
                <select id="questionTypeId" name="questionTypeId" class="form-control" formControlName="questionTypeId">
                  <option value="0">Please select</option>
                  <option *ngFor="let questionType of questionTypes.content" [value]="questionType.id" [selected]="questionType.id === question.value.questionTypeId">{{ questionType.name }}</option>
                </select>
              </div>
              <div class="form-group">
                <label class="form-col-form-label" for="title">Title</label>
                <textarea id="title" name="title" rows="6" class="form-control" formControlName="title"></textarea>
              </div>
              <div class="form-group">
                <label for="categoryId">Category</label>
                <select id="categoryId" name="categoryId" class="form-control" formControlName="categoryId">
                  <option value="0">Please select</option>
                  <option *ngFor="let category of categories.content" [value]="category.id" [selected]="category.id === question.value.categoryId">{{ category.name }}</option>
                </select>
              </div>
            </tab>
            <tab heading="Possible Answers">
              <ng-container formArrayName="possibleAnswers">
                <div class="row" *ngFor="let possibleAnswer of possibleAnswers.controls; index as i;">
                  <ng-container [formGroupName]="i">
                    <div class="col-10">
                      <div class="form-group">
                        <label class="form-col-form-label" for="description">Description</label>
                        <input type="text" class="form-control" id="description" formControlName="description">
                      </div>
                    </div>
                    <div class="col-2">
                      <div class="form-check checkbox">
                        <input class="form-check-input" type="checkbox" id="checkbox3" formControlName="correct">
                        <label class="form-check-label" for="checkbox3">Correct?</label>
                      </div>
                    </div>
                  </ng-container>
                </div>
              </ng-container>
            </tab>
          </tabset>
        </div>
        <div class="card-footer">
          <button type="submit" class="btn btn-sm btn-primary" [disabled]="question.invalid"><i class="fa fa-dot-circle-o"></i> Submit</button>
          <button type="button" class="btn btn-sm btn-danger" (click)="onGoBack()"><i class="fa fa-arrow-left"></i> Go Back</button>
        </div>
      </form>
    </div>
  </div>
</div>
